Geotargeting API Reference

Note

If you use the APIs provided here, you are subject to the API Terms of Use, and Service Privacy Notice

Note

We’ve introduced API keys, please read Migrating to API Keys

Description

NextRoll Geotargeting API 1.0 by https://developers.nextroll.com/

API for fetching, creating, and editing NextRoll geotargets

External documentation

NextRoll API Documentation

List of Operations

Operations

GET /geo/api/search/v2/geo

Searching through Geotargets

Parameters:

Query Parameters

Name

Required

Type

Description

apikey

False

string

Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site

geo_types

False

string

Comma-delimited list of types of geotargeting types to return One of: country, metro, region, city, postal_code.

starts_with

False

string

Search text of the beginning of the geotarget location name

count

False

integer

Number of geotargets to limit results to

page

False

integer

Page to request for paginated results when the number of results are greater than the count

Responses:

200

A list of matching geotargets. Use count and page to iterate through the results until you receive an empty results list.

Returns GeoResponse

Definitions

GeoResponse
Type:

object

boundaries

List of metro boundaries.

Type:

array of string

country

Country that the metro belongs to

Type:

object

{

    "iso2": string


    "name": string

}
eid

EID of geotarget

Type:

string

MaxLength:

22

MinLength:

22

Pattern:

[A-Z0-9]{22}

iso2

ISO 3166 Alpha-2 country code

Type:

string

MaxLength:

2

MinLength:

2

Pattern:

[A-Z]{2}

iso3

ISO 3166 Alpha-3 country code

Type:

string

MaxLength:

3

MinLength:

3

Pattern:

[A-Z]{3}

name

Name of geotarget

Type:

string

name_localized

Localized name of geotarget

Type:

string

type

Type of geotarget

Type:

string

Enum:

country, metro, region, city, postalcode